/*--------------------------------------------------------------+
| Author: Daniel Porumbel 2018                                  |
|License: Creative Commons Attribution 3.0 Unported License     |
|         http://creativecommons.org/licenses/by/3.0/           |             
+--------------------------------------------------------------*/
#ifndef BENDERS_H_INCLUDED
#define BENDERS_H_INCLUDED
#define EPSILON 1.0e-6
#define INFEASIBLE -1
extern int ** g;
extern int ** gEdge;//the edge id of each pair of vertices
extern int n;       //number of vertices
extern int m;       //number of edges
extern int*ii;      //ii[i] is the first end vertex of edge i
extern int*jj;      //jj[i] is the second end vertex of edge i

void fillConnectedUpToDepth(int* connected, double* y, int currentVtx, int depth);
void fillEdgesBalancedBFS(double* resultEdges,int source);
int newCutSet(int* connected, double *cutEdges, double & bSinks);
void newCut(double * yyy, double *u, double&rightHand);
void newCutCheckRayHitsP(double * yyy, double *u, double &rightHand,double &tStar);
void newIntersectionFeasibleCase(double * yyy, double *u, double&rightHand, double&tStar);
#endif
